Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 510158

Summary: sys-apps/systemd - symlinks in /etc/systemd/ should be fixed after SYMLINK_LIB=no conversion
Product: Gentoo Linux Reporter: Alexander Tsoy <alexander>
Component: Current packagesAssignee: Gentoo systemd Team <systemd>
Status: RESOLVED WONTFIX    
Severity: normal CC: candrews, devurandom, gentoo, haavardw, tsmksubc, xdudka00
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.freedesktop.org/show_bug.cgi?id=68102
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 506276    

Description Alexander Tsoy 2014-05-12 12:52:54 UTC
As discussed in bug 506276, symlinks in /etc/systemd/ should be fixed after SYMLINK_LIB=no conversion. This should be either documented somewhere or added to the script.
Comment 1 Mike Auty gentoo-dev 2018-01-07 21:20:48 UTC
Confirming this, since I just carried out the amd64 17.1 profile conversion and some my symlinks were invalid afterwards.  It feels as though this ought to be part of the unsymlink-lib script, since the unconverted symlinks were installed by various packages rather than systemd itself.  It seems easy enough to convert them: "systemctl enable <name>" removed the old symlink and installed a new one.
Comment 2 Mike Gilbert gentoo-dev 2018-01-07 21:28:31 UTC
Fixing the symlinks is generally unnecessary; in many cases, systemd ignores the symlink target and simply uses the name.
Comment 3 Alexander Tsoy 2018-01-08 03:33:58 UTC
This bug is about those symlinks that created due to Alias options in units: display-manager.service, dbus-org.freedesktop.*.service, etc.
Comment 4 Pacho Ramos gentoo-dev 2019-06-05 14:22:05 UTC
what is the status of this at present time?
Comment 5 Mike Gilbert gentoo-dev 2019-06-05 14:34:37 UTC
I added systemd_reenable calls to several packages that install units that utilize the Alias directive.

Beyond that, I don't plan to take further action unless someone presents another problem.
Comment 6 Pacho Ramos gentoo-dev 2019-06-05 20:08:38 UTC
Thanks :)